Create a plan
POST
/v1/plans
const url = 'https://api.extport.dev/api/v1/plans';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"extensionId":"example","tier":"example","maxActivations":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.extport.dev/api/v1/plans \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "extensionId": "example", "tier": "example", "maxActivations": 1 }'One plan per (extension, tier) — a plan has no name of its own.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
extensionId
required
string
tier
required
string
maxActivations
integer
Examplegenerated
{ "extensionId": "example", "tier": "example", "maxActivations": 1}Responses
Section titled “Responses”Created
Extension not found
Tier already exists for this extension